Foreman - Bug #9049

Swallowed exception message when triggering a Puppet run

01/20/2015 11:09 AM - Jiri Stransky

Status: Closed
Priority: Normal
Assignee: Jiri Stransky
Category: Puppet integration
Target version: 1.7.2
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2100
Description

If an exception occurs during triggering a Puppet run from the Ul,

user will be notified of the error in a flash message. If the

exception occurs when running the action non-interactively (e.g. from

a DynFlow task), the exception will get swallowed.

The issue stands in the way of further debugging of a Staypuft issue:

https://bugzilla.redhat.com/show_bug.cgi?id=1183802

Associated revisions

Revision 86adb030 - 01/23/2015 06:46 AM - Jiri Stransky
Fixes #9049 - Log exceptions when triggering a Puppet run

If an exception occurs during triggering a Puppet run from the Ul,
user will be notified of the error in a flash message. If the

exception occurs when running the action non-interactively (e.g. from
a DynFlow task), the exception will get swallowed. This patch makes
sure the exception message is at least logged to allow later
inspection.

The patch is necessary to proceed with debugging of a Staypuft issue:

https://bugzilla.redhat.com/show_bug.cgi?id=1183802

Revision 9672724 - 01/26/2015 02:48 PM - Jiri Stransky
Refs #9049 - fix log message formatting

Missing "%s" in the commit that was supposed to fix #9049 caused the
exception message not to be printed into the log.

Revision 7a97233d - 01/27/2015 11:08 AM - Jiri Stransky
Fixes #9049 - Log exceptions when triggering a Puppet run

If an exception occurs during triggering a Puppet run from the Ul,
user will be notified of the error in a flash message. If the

exception occurs when running the action non-interactively (e.g. from
a DynFlow task), the exception will get swallowed. This patch makes
sure the exception message is at least logged to allow later
inspection.

The patch is necessary to proceed with debugging of a Staypuft issue:

https://bugzilla.redhat.com/show_bug.cgi?id=1183802

(cherry picked from commit 86adb030eafdc37658b02d6dad5b1ff6e94d4bcf)
Revision ad822960 - 01/27/2015 11:09 AM - Jiri Stransky
Refs #9049 - fix log message formatting

Missing "%s" in the commit that was supposed to fix #9049 caused the
exception message not to be printed into the log.

(cherry picked from commit €9672724ef29fc2db401e05aa89eacc2c06c51a7)

History

#1 - 01/21/2015 03:35 AM - Dominic Cleal

- Category set to Puppet integration

- Status changed from New to Ready For Testing

- Assignee set to Jiri Stransky

- Pull request https://github.com/theforeman/foreman/pull/2100 added
- Pull request deleted ()

#2 - 01/23/2015 06:48 AM - Dominic Cleal

- translation missing: en.field_release set to 30

#3 - 01/23/2015 07:01 AM - Jiri Stransky
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 86adb030eafdc37658b02d6dad5b1ff6e94d4bcf.
